> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Document

> Delete a [knowledge base](/line/knowledge-base) document.



## OpenAPI

````yaml /latest.yml DELETE /agents/documents/{document_id}
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/documents/{document_id}:
    delete:
      tags:
        - Documents
      summary: Delete Document
      description: Delete a [knowledge base](/line/knowledge-base) document.
      operationId: documents_delete
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: document_id
          in: path
          description: The ID of the document.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Document deleted.
        '404':
          description: 'Document not found (`error_code: kb_document_not_found`).'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````